#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	telepathy-mission-control
Version		:	5.16.6
Release		:	14.4.0.0%{?dist}
Summary		:	Mission control for Telepathy
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://telepathy.freedesktop.org/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	gtk-doc
Buildrequires	:	libgnome-keyring
Buildrequires	:	python2
Buildrequires	:	telepathy-glib
Buildrequires	:	upower-devel

Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is an account manager and channel dispatcher for
the Telepathy framework, allowing user interfaces and other
clients to share connections to real-time communication
services without conflicting.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_includedir}/%{sname}-5.5/%{sname}-plugins/*.h
%{_libdir}/lib%{sname}-plugins.so*
%{_libdir}/pkgconfig/%{sname}-plugins.pc
%{_libexecdir}/%{sname}-5
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
%{_datadir}/gtk-doc/html/%{sname}-plugins/*.{html,png}
%{_datadir}/gtk-doc/html/%{sname}-plugins/*.devhelp2
%{_datadir}/gtk-doc/html/%{sname}-plugins/style.css
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_mandir}/man1/mc-tool.1.gz
%{_mandir}/man1/mc-wait-for-name.1.gz
%{_mandir}/man8/%{sname}-5.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
